Bug 140307 - RFE: Add a HomePNA mode option for pcnet32
RFE: Add a HomePNA mode option for pcnet32
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
: FutureFeature
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2004-11-22 03:32 EST by Jarkko
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-13 06:41:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jarkko 2004-11-22 03:32:10 EST
Description of problem:
If you have pcnet32 module and you're running HomePNA, you need to
specify homepna mode in /etc/modprobe.conf from kernel 2.6.7 and up:

--
# use HomePNA mode with pcnet32
options pcnet32 homepna=1
--

This should be added automatically by system-config-network so that
user does not have to specify it by hand.

Of course the user can use this card as a normal ethernet card too, 
so add an option for HomePNA mode.

Version-Release number of selected component (if applicable):
system-config-network-1.3.22-1
Comment 1 Jarkko 2004-11-22 06:30:53 EST
The change (homepna mode was the default before) causes grey hair for 
users that have used HomePNA with pcnet32 before kernel-2.6.7-
1.494.2.2. xDSL (normally HomePNA is used for xDSL) stops to work 
when upgrading to kernel-2.6.7-1.494.2.2 or newer.
Comment 4 Barry K. Nathan 2004-12-21 09:14:14 EST
FWIW, the homepna module parameter is actually an *array*! This means
it really has a form more like the following:

homepna=x,y,z,w,a,b,c,d

where:
x = homepna setting (0 or 1) for first pcnet32 card (e.g. eth0)
y = homepna setting for second pcnet32 card (e.g. eth1)
...
d = homepna setting for 8th pcnet32 card
(any more cards beyond this require modifying the source code as far
as I can tell)

and any numbers left off at the end are automatically 0.

So you need something like:
homepna=0,0,0,1

to activate it on the third pcnet32 card.

I figured this out the hard way, by editing modprobe.conf over and
over, wondering why it wasn't working, then reading the pcnet32.c
source code over and over until I finally realized that the source
code comments don't match reality. (I think I'll submit a patch, or at
least discuss it on a mailing list or something, at some point in the
next few days.)

Anyway, I just wanted to mention this for the benefit of anyone who
wants to implement this in system-config-network at this point in time...
Comment 5 Harald Hoyer 2004-12-21 09:30:04 EST
thank you! :)
Comment 6 Barry K. Nathan 2004-12-22 19:19:11 EST
Oops, I made a mistake in my previous comment -- homepna=0,0,0,1
activates it on the *fourth* pcnet32 card (unless you say the first
card is really the zeroth card ;)
Comment 7 Jarkko 2005-06-15 10:33:14 EDT
This bug is still open. Any progress?
Comment 8 Matthew Miller 2006-07-10 19:32:00 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.